﻿/*!
 * Twinkle Fields Select 1.2.0
 */

/* Hidden Accessible */
.tw-select-hidden-accessible {
    border: 0 !important;
    clip: rect(0 0 0 0) !important;
    -webkit-clip-path: inset(50%) !important;
    clip-path: inset(50%) !important;
    height: 1px !important;
    overflow: hidden !important;
    padding: 0 !important;
    position: absolute !important;
    width: 1px !important;
    white-space: nowrap !important;
}

/* Single Selection */
.tw-select-container .tw-select-selection--single .tw-select-selection__rendered {
    display: block;
    padding-left: 8px;
    padding-right: 20px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    color: #444;
    line-height: 28px;
}

.tw-select-container .tw-select-selection--single .tw-select-selection__arrow {
    height: 56px;
    position: absolute;
    top: 1px;
    right: 1px;
    width: 24px;
    display: flex;
    align-items: center;
    right: 8px;
    transition: 240ms;
}

.tw-select-container .tw-select-selection--single .tw-select-selection__arrow i {
    font-size: 24px;
}

.tw-select-container .tw-select-selection--single .tw-select-selection__clear,
.tw-select-container .tw-select-selection--multiple .tw-select-selection__clear {
    height: 20px;
    width: 20px;
    right: 36px;
    color: var(--tw-color-0);
    background-color: var(--tw-color-6);
    transition: 240ms;
    font-size: 16px;
    display: flex;
    justify-content: center;
    align-self: center;
    position: absolute;
    top: 28px;
    transform: translateY(-50%);
    border-radius: 20px;
    line-height: 20px;
}

/* Dropdown */
.tw-select-dropdown {
    background-color: white;
    border: 1px solid #aaa;
    border-radius: 4px;
    box-sizing: border-box;
    display: block;
    position: absolute;
    left: -100000px;
    width: 100%;
    z-index: 9999;
}

.tw-select-container--open .tw-select-dropdown {
    left: 0;
}

.tw-select-container--open .tw-select-dropdown--below {
    border-top: none;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.tw-select-container--open .tw-select-dropdown--above {
    box-shadow: 0 -24px 32px rgb(0 0 0 / 16%);
    border: 1px solid #5A8DEE;
    top: 1px;
    border-radius: 8px 8px 0 0;
    overflow: hidden;
    border-bottom: 1px solid #DFE3E7;
}

.tw-select-container--open .tw-select-dropdown--below {
    box-shadow: 0 24px 32px rgb(0 0 0 / 16%);
    border: 1px solid #5A8DEE;
    top: -1px;
    border-radius: 0 0 8px 8px;
    overflow: hidden;
    border-top: 1px solid #DFE3E7;
}

/* Search */
.tw-select-search--dropdown {
    display: block;
    padding: 12px 8px;
    background: var(--tw-color-9);
}

.tw-select-search--dropdown.tw-select-search--hide {
    display: none;
}

.tw-select-search--dropdown .tw-select-search__field {
    padding: 8px;
    width: 100%;
    box-sizing: border-box;
    background: var(--tw-color-0);
    border: 1px solid var(--tw-color-7);
}
.tw-select-search--dropdown .tw-select-search__field:focus {
    background: var(--tw-color-0);
    border: 1px solid var(--tw-color-7);
    outline: none;
}

.tw-select-container .tw-select-search--dropdown:after {
    position: absolute;
    top: 16px;
    right: 16px;
    content: "\e961";
    font-family: 'twinkle-icons';
    color: var(--tw-color-5);
    font-size: 18px;
}

/* Results */
.tw-select-results {
    display: block;
}

.tw-select-results__options {
    list-style: none;
    margin: 0;
    padding: 0;
}

.tw-select-container .tw-select-results > .tw-select-results__options {
    max-height: 260px;
    overflow-y: auto;
    padding: 8px;
    display: flex;
    gap: 2px;
    flex-direction: column;
}

.tw-select-results__option {
    cursor: pointer;
    padding: 8px;
    user-select: none;
    -webkit-user-select: none;
    color: var(--tw-color-3);
    font-size: 16px;
    font-weight: 500;
    border-radius: 8px;
}

.tw-select-results__option[aria-selected] {
    
}



.tw-select-container .tw-select-results__option--highlighted[aria-selected] {
    background-color: var(--tw-color-8);
    color: var(--tw-color-3);
}

.tw-select-container .tw-select-results__option[aria-selected=true] {
    background-color: var(--tw-color-8);
    color: var(--tw-color-3);
}

.tw-select-results__option:first-child,
.tw-select-results__option:last-child {
    border-radius: 8px;
}

/* Multiple Selection */
.tw-select-container .tw-select-selection--multiple {
    box-sizing: border-box;
    display: block;
    user-select: none;
    -webkit-user-select: none;
    background-color: var(--tw-color-0);
    border: 1px solid var(--tw-color-7);
    cursor: pointer;
    min-height: 56px;
    border-radius: 8px;
    position: relative;
}

.tw-select-container .tw-select-selection--multiple .tw-select-selection__rendered {
    overflow: hidden;
    list-style: none;
    width: 100%;
    gap: 4px;
    margin-left: -4px;
    display: flex;
    height: 100%;
    padding-top: 28px;
    padding-left: 16px;
    padding-right: 64px;
    transition: 240ms;
    flex-wrap: wrap;
    padding-bottom: 8px;
}

.tw-select-container .tw-select-selection--multiple .tw-select-selection__choice {
    background-color: var(--tw-color-8);
    border-radius: 4px;
    cursor: default;
    list-style: none;
    line-height: 20px;
    padding: 0px 24px 0 4px;
    font-size: 16px;
    position: relative;
}

.tw-select-container .tw-select-selection--multiple .tw-select-selection__choice__remove {
    position: absolute;
    font-size: 16px;
    width: 20px;
    height: 20px;
    justify-content: center;
    display: flex;
    align-items: center;
    line-height: 20px;
    top: 0;
    right: 0;
    color: var(--tw-color-5);
    cursor: pointer;
}

.tw-select-container .tw-select-selection--multiple .tw-select-selection__arrow {
    height: 56px;
    position: absolute;
    top: 1px;
    right: 1px;
    width: 24px;
    display: flex;
    align-items: center;
    right: 8px;
    transition: 240ms;  
} 

.tw-select-container .tw-select-selection--multiple .tw-select-selection__arrow i {
    font-size: 24px;
}

.tw-select-container .tw-select-search--inline .tw-select-search__field {
    box-sizing: border-box;
    font-size: 100%;
    margin-top: 8px;
    margin-bottom: 8px;
    padding: 4px 8px;
    background: var(--tw-color-8);
    border: none;
    outline: 0;
    box-shadow: none;
    -webkit-appearance: textfield;
    width: 100% !important;
    line-height: 27px;
    padding: 6px 0 0 5px;
}

.tw-select-container .tw-select-search--inline .tw-select-search__field::placeholder {
    color: #000;
}



/* Floating Group */
.tw-select-floating-group label {
    font-size: 16px;
    font-weight: 500 !important;
    color: #000;
    opacity: 1;
    top: 16px;
    left: 16px;
    pointer-events: none;
    position: absolute;
    transition: 240ms;
    margin-bottom: 0;
    z-index: 1;
}

.tw-select-floating-group label {
    color: var(--tw-color-4);
}

.tw-select-floating-group.focused label {
    color: var(--tw-color-5);
    top: 8px;
    left: 16px;
    font-size: 12px;
}

.tw-select-floating-group.focused .tw-select-container .tw-select-selection--multiple .tw-select-selection__rendered {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    padding: 28px 64px 8px 8px;
}

.tw-select-floating-group label {
    opacity: 0;
}

.tw-select-floating-group.focused label {
    opacity: 1;
}

.tw-selectMultiple label {
    opacity: 0;
}

.tw-selectMultiple.focused label {
    opacity: 1;
}

.tw-select-floating-group.focused .tw-select-container .tw-select-selection--single .tw-select-selection__rendered {
    padding-top: 22px;
}

/* Container */
.tw-select-container {
    box-sizing: border-box;
    display: inline-block;
    margin: 0;
    position: relative;
    vertical-align: middle;
    width: 100% !important;
}

.tw-select-container .tw-select-selection--single {
    box-sizing: border-box;
    cursor: pointer;
    display: block;
    user-select: none;
    -webkit-user-select: none;
    background-color: var(--tw-color-0);
    border-radius: 8px;
    border: 1px solid var(--tw-color-7);
    height: 56px;
}

.tw-select-container--focus .tw-select-selection--single,
.tw-select-container--open .tw-select-selection--single {
    border: 1px solid var(--tw-color-1);
    background-color: var(--tw-color-0)
}

.tw-select-container--open .tw-select-selection--single {
    border-radius: 8px 8px 0 0;
}

.tw-select-container .tw-select-selection--single .tw-select-selection__rendered {
    display: block;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    color: var(--tw-color-4);
    line-height: 28px;

    transition: 240ms;
    font-size: 16px;
    font-weight: 400;

    padding: 13px 64px 4px 16px;
}

.twSelectPart.focused .tw-select-container .tw-select-selection--single .tw-select-selection__rendered {
    padding-top: 22px;
}

.tw-select-container.tw-select-container--open.tw-select-container--above .tw-select-selection--multiple,
.tw-select-container.tw-select-container--open.tw-select-container--above .tw-select-selection--single {
    border-radius: 0 0 8px 8px;
}

.tw-select-container.tw-select-container--open.tw-select-container--below .tw-select-selection--multiple,
.tw-select-container.tw-select-container--open.tw-select-container--below .tw-select-selection--single {
    border-radius: 8px 8px 0 0;
}


.tw-select-container.tw-select-container--focus .tw-select-selection--multiple,
.tw-select-container.tw-select-container--open .tw-select-selection--multiple {
    border: 1px solid var(--tw-color-1);
    background-color: var(--tw-color-0);
}


.tw-select-search__field {
    display: none;
}
.tw-select-container--open .tw-select-search__field {
    display: block;
}
.tw-select-container .tw-select-selection--multiple .tw-select-search--inline .tw-select-search__field {
    line-height: initial;
    padding: 8px;
    cursor: pointer;
}


.tw-select-container .tw-select-selection--multiple .tw-select-selection__rendered li.tw-select-search {
    padding: 0;
}

.tw-selectMultiple.focused .tw-select-container .tw-select-selection--multiple .tw-select-selection__rendered li.tw-select-search {
    display: none;
}



/* Clear Selection */


/* Error Handling */
input.error, select.error, textarea.error, .tw-select.error .tw-select-selection {
    border: 1px solid #ff0000 !important;
    background-color: var(--tw-color-0) !important;
    color: var(--tw-color-3);
}

/* Search Icon */
.tw-select-container .tw-select-search--dropdown:after {
    content: "\e961";
    font-family: 'twinkle-icons';
    color: var(--tw-color-5);
    font-size: 18px;
}

.tw-select-container .tw-select-selection--multiple .tw-select-selection__rendered:before {
    border: none;
    content: '';
    width: 12px;
    height: 8px;
    background-size: 100% 100%;
    transform: translateY(-50%);
    position: absolute;
    right: 18px;
    top: 28px;
    margin-right: 4px;
}


.twSelectPart label {
    opacity: 0;
}
.twSelectPart.focused label {
    opacity: 1;
}
.twSelectMultiple label {
    opacity: 1;
}
.twSelectMultiple.focused label {
    opacity: 1;
}